Consolidate Positions Across Orgs

Permissions required: Initiate Staking and Unstaking and Initiate withdrawals

Allows the user to transfer a staked position to another Organization within Anchorage.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

An ID uniquely identifying an Anchorage Digital wallet

string
required

The staking position to be sold identifier

Body Params
destinationInfo
required

The details of the transaction to perform. Use the 'type' field to discriminate between different transaction types.

Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
  ed25519Sign(
    signing_key,
    '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
  )
)
int64
required

Current timestamp, represented as unix epoch seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json